Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTree.TreeSelectionRedirector

    java.lang.Object
      |
      +--javax.swing.JTree.TreeSelectionRedirector

protected class JTree.TreeSelectionRedirector
extends java.lang.Object
implements java.io.Serializable, TreeSelectionListener

Handles creating a new TreeSelectionEvent with the JTree as the source and passing it off to all the listeners.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`protected` | `JTree.TreeSelectionRedirector()`

Method Summary
`void` | `valueChanged(TreeSelectionEvent e)` Invoked by the TreeSelectionModel when the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTree.TreeSelectionRedirector

    protected JTree.TreeSelectionRedirector()

Method Detail

### valueChanged

    public void valueChanged(TreeSelectionEvent e)

  Invoked by the TreeSelectionModel when the selection changes.
  Specified by:
    valueChanged in interface TreeSelectionListener
  Parameters:
    `e` - the TreeSelectionEvent generated by the TreeSelectionModel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.